<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".activity.LoginActivity">

    <LinearLayout
        android:layout_width="420dp"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_centerVertical="true"
        android:background="@drawable/shape"
        android:orientation="vertical"
        android:weightSum="6">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="70dp">

            <ImageView
                android:id="@+id/ivLogo"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="0dp"
                android:paddingLeft="50dp"
                android:paddingTop="20dp"
                android:paddingRight="50dp"
                android:paddingBottom="10dp" />
            <!--android:src="@mipmap/ci"-->

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="120dp"
            android:orientation="vertical"
            android:padding="10dp"
            android:weightSum="3">

            <EditText
                android:id="@+id/etId"
                style="@style/EditTextStyle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"

                android:layout_marginRight="10dp"
                android:layout_marginBottom="10dp"
                android:layout_weight="1"
                android:background="@drawable/shape"
                android:hint="@string/idHint"
                android:paddingLeft="10dp"
                android:paddingRight="10dp"
                android:singleLine="true"
                app:theme="@style/EditTextStyle" />

            <!--<EditText-->
            <!--android:id="@+id/etPw"-->
            <!--style="@style/EditTextStyle"-->
            <!--android:layout_width="match_parent"-->
            <!--android:layout_height="wrap_content"-->
            <!--android:layout_marginLeft="10dp"-->
            <!--android:layout_marginRight="10dp"-->
            <!--android:layout_marginBottom="10dp"-->
            <!--android:layout_weight="1"-->
            <!--android:background="@drawable/shape"-->
            <!--android:hint="@string/passwdHint"-->
            <!--android:paddingLeft="10dp"-->
            <!--android:paddingRight="10dp"-->
            <!--android:singleLine="true"-->
            <!--android:inputType="textPassword"-->
            <!--app:theme="@style/EditTextStyle" />-->

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="22dp"
                android:layout_marginLeft="10dp"
                android:layout_marginRight="10dp"
                android:layout_weight="1"
                android:orientation="horizontal"
                android:weightSum="10">

                <EditText
                    android:id="@+id/etPasswd"
                    style="@style/EditTextStyle"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="3"
                    android:background="@drawable/shape"
                    android:hint="@string/certPwdHint"
                    android:inputType="textPassword"
                    android:paddingLeft="10dp"
                    android:paddingRight="10dp"
                    android:singleLine="true"
                    app:theme="@style/EditTextStyle" />

                <RelativeLayout
                    android:id="@+id/certCheckLayout"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="7">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_centerVertical="true"
                        android:orientation="horizontal">

                        <!--<android.support.v7.widget.AppCompatCheckBox-->
                        <CheckBox
                            android:id="@+id/certCheck"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:background="@android:color/transparent"
                            android:buttonTint="@color/black"
                            android:text="@string/certficate" />

<!--                        <TextView-->
<!--                            android:id="@+id/certTv"-->
<!--                            android:layout_width="wrap_content"-->
<!--                            android:layout_height="wrap_content"-->
<!--                            android:layout_gravity="center"-->
<!--                            android:text="@string/certficate"-->
<!--                            android:textSize="18sp" />-->

                    </LinearLayout>
                </RelativeLayout>

            </LinearLayout>

        </LinearLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <Button
                android:id="@+id/btnLogin"
                style="?android:attr/borderlessButtonStyle"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_marginLeft="20dp"
                android:layout_marginRight="20dp"
                android:layout_marginBottom="20dp"
                android:background="@drawable/ripple"

                android:text="@string/login"
                android:textColor="@color/white"
                android:textSize="20sp" />

            <!--android:background="?android:attr/selectableItemBackground"-->
        </RelativeLayout>

    </LinearLayout>


</RelativeLayout>